function storage = storage_case30
%EX_STORAGE  Example Storage data file for stochastic unit commitment.

%   MOST
%   Copyright (c) 2015-2016, Power Systems Engineering Research Center (PSERC)
%   by Ray Zimmerman, PSERC Cornell
%
%   This file is part of MOST.
%   Covered by the 3-clause BSD License (see LICENSE file for details).
%   See https://github.com/MATPOWER/most for more info.

%%-----  storage  -----
InEff = 0.9;
OutEff = 0.9;
LossFactor = 0.00;
ecap = 40;          %% energy capacity
pmax = ecap * .25; %0.25; %% power capacity
qmax = pmax / 2;
qmin = -qmax;
scost = 0;

%% generator data
%	bus	Pg	Qg	Qmax	Qmin	Vg	mBase	status	Pmax	Pmin	Pc1	Pc2	Qc1min	Qc1max	Qc2min	Qc2max	ramp_agc	ramp_10	ramp_30	ramp_q	apf
storage.gen = [
	8	0	0	qmax	qmin	1	100	1	pmax	-pmax	0	0	0	0	0	0	0	20	20	0	0;
];

%%-----  OPF Data  -----%%
%% generator cost data
%	1	startup	shutdown	n	x1	y1	...	xn	yn
%	2	startup	shutdown	n	c(n-1)	...	c0
storage.gencost = [
 	2	0	0	0	0	0;
 ];

%% xGenData
storage.xgd_table.colnames = {
	'CommitKey', ...
		'CommitSched', ...
			'PositiveActiveReservePrice', ...
				'PositiveActiveReserveQuantity', ...
					'NegativeActiveReservePrice', ...
						'NegativeActiveReserveQuantity', ...
							'PositiveActiveDeltaPrice', ...
								'NegativeActiveDeltaPrice', ...
									'PositiveLoadFollowReservePrice', ...
										'PositiveLoadFollowReserveQuantity', ...
											'NegativeLoadFollowReservePrice', ...
												'NegativeLoadFollowReserveQuantity', ...
};

storage.xgd_table.data = [
	2	1	1e-8	2*pmax	2e-8	2*pmax	1e-9	1e-9	1e-6	2*pmax	1e-6	2*pmax;
];

%% StorageData
storage.sd_table.OutEff			= OutEff;
storage.sd_table.InEff			= InEff;
storage.sd_table.LossFactor	= LossFactor;
storage.sd_table.rho				= 0;
storage.sd_table.colnames = {
'UnitIdx',...
	'InitialStorage', ...
		'InitialStorageLowerBound', ...
			'InitialStorageUpperBound', ...
				'InitialStorageCost', ...
					'TerminalStoragePrice', ...
						'MinStorageLevel', ...
							'MaxStorageLevel', ...
%								'OutEff', ...
%									'InEff', ...
%										'LossFactor', ...
%											'rho', ...
};

storage.sd_table.data = [
	7 0	0	ecap	scost	scost	0	ecap;%	OutEff	InEff	LossFactor	0;
];